Bug 647771 - filecap segfaults when given a file instead of a directory.
Summary: filecap segfaults when given a file instead of a directory.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libcap-ng
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Steve Grubb
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-29 11:57 UTC by Daniel Walsh
Modified: 2010-11-21 21:55 UTC (History)
3 users (show)

Fixed In Version: libcap-ng-0.6.5-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-21 21:55:26 UTC
Type: ---


Attachments (Terms of Use)

Description Daniel Walsh 2010-10-29 11:57:38 UTC
Description of problem:
filecap  /usr/sbin/seunshare 
Segmentation fault

Comment 1 Peter Lemenkov 2010-10-29 16:28:49 UTC
Same for me. 100% reproducible.

work ~: strace filecap /sbin/mount.fuse 
execve("/usr/bin/filecap", ["filecap", "/sbin/mount.fuse"], [/* 31 vars */]) = 0
brk(0)                                  = 0x86f2000
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb7824000
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=72116, ...}) = 0
mmap2(NULL, 72116, PROT_READ, MAP_PRIVATE, 3, 0) = 0xb7812000
close(3)                                = 0
open("/lib/libcap-ng.so.0", O_RDONLY)   = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\340\355\321\0004\0\0\0"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=19468, ...}) = 0
mmap2(0xd1e000, 20640, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xd1e000
mmap2(0xd22000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x3) = 0xd22000
close(3)                                = 0
open("/lib/libc.so.6", O_RDONLY)        = 3
read(3, "\177ELF\1\1\1\3\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0p\377\271\0004\0\0\0"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=1889628, ...}) = 0
mmap2(0xb89000, 1649160, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xb89000
mmap2(0xd16000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x18c) = 0xd16000
mmap2(0xd19000, 10760, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xd19000
close(3)                                = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb7811000
set_thread_area({entry_number:-1 -> 6, base_addr:0xb78116f0, limit:1048575, seg_32bit:1, contents:0, read_exec_only:0, limit_in_pages:1, seg_not_present:0, useable:1}) = 0
mprotect(0xd16000, 8192, PROT_READ)     = 0
mprotect(0xd22000, 4096, PROT_READ)     = 0
mprotect(0xb85000, 4096, PROT_READ)     = 0
munmap(0xb7812000, 72116)               = 0
lstat64("/sbin/mount.fuse", {st_mode=S_IFREG|0755, st_size=8704, ...}) = 0
capget(0x20080522, 0, NULL)             = 0
gettid()                                = 27622
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
+++ killed by SIGSEGV +++
Ошибка сегментирования
work ~:

Comment 2 Steve Grubb 2010-10-29 16:56:31 UTC
Known problem and fixed upstream 6 weeks ago.
https://fedorahosted.org/libcap-ng/changeset/10

Will update fedora when I get a chance.

Comment 3 Fedora Update System 2010-11-03 20:33:01 UTC
libcap-ng-0.6.5-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/libcap-ng-0.6.5-1.fc14

Comment 4 Fedora Update System 2010-11-08 21:02:35 UTC
libcap-ng-0.6.5-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/libcap-ng-0.6.5-1.fc13

Comment 5 Fedora Update System 2010-11-08 22:42:03 UTC
libcap-ng-0.6.5-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2010-11-10 01:12:08 UTC
libcap-ng-0.6.5-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libcap-ng'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/libcap-ng-0.6.5-1.fc13

Comment 7 Fedora Update System 2010-11-21 21:55:21 UTC
libcap-ng-0.6.5-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.